package org.ssssssss.magicboot.zdyutils;

import com.alibaba.fastjson.JSONObject;

import java.net.URLEncoder;

public class MagicApi {
    public static void main(String[] args) {
//        JSONObject data= new JSONObject();
//        data.put("log_type","0");
//        data.put("log_status","0");
//        data.put("syn_type","0");
//        data.put("data_id","12312");
//        data.put("data_name","测试同步");
//        data.put("mark","21312312");
//        data.put("res_body","同步成功");
//
//        saveDataLog(data);
        System.out.println(getkhzinfo("1001S3100000004DW7BE"));
    }

    public static void saveApiDataLog(JSONObject data) {
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/SYNCLOG/STOCK/SAVE"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static void saveDataLog(JSONObject data) {
        System.out.println(data);
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/send/log/save"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static void saveDataLogSbbom(JSONObject data) {
        System.out.println(data);
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/send/log/savesbbom"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static void saveDataWLLog(JSONObject data) {
        //System.out.println(data.toJSONString());
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/cpfx/save"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static String getWNRES(String url,String jsonPath) {
        System.out.println(url);
        try {
            return HttpSend.sendMagicGet(url
                    , jsonPath);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static String getYHXXID(String name) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/ZHRY/V_CRM_PSNDOC?NAME=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_PSNDOC");

        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static String getZUZHICODE(String name) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/ZHRY/V_CRM_ORG?PK_ORG=" + name
                    , "JSON.data[0].ORG_CODE");

        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static JSONObject getKC(String stock_code, String pro_code,
                                        String batch, String qty) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/SYNCLOG/GELOGDATA" +
                            "?stock_code=" + URLEncoder.encode(stock_code, "UTF-8") +
                            "&pro_code=" + URLEncoder.encode(pro_code, "UTF-8")+
                            "&batch=" + URLEncoder.encode(batch, "UTF-8")+
                            "&qty=" + URLEncoder.encode(qty, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson!=null && resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static JSONObject getDataLog(String type, String dataId) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/SYNCLOG/GELOGDATA?type=" + URLEncoder.encode(type, "UTF-8") + "&dataId=" + URLEncoder.encode(dataId, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static String getkhzinfo(String name) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/KH/V_CRM_CUSTOMER?DATAID=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].CODE");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String getTaxCode(String name) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/WL/V_CRM_TAXCODE?NAME=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_TAXCODE");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String getData(String table,String TS) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002"+table+"?TS=" + URLEncoder.encode(TS, "UTF-8")
                    , null);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String getData2(String table,String TS,String GT) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002"+table+"?TS=" + URLEncoder.encode(TS, "UTF-8") + "&GT="+ URLEncoder.encode(GT, "UTF-8")
                    , null);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String getDataStr(String table,String jsonPath) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002"+table
                    , jsonPath);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static String getZIData(String table,String NAME,String TS) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002"+table+"?NAME=" + URLEncoder.encode(TS, "UTF-8")
                    , null);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String khfl(String name) {


        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/KH/V_CRM_CUSTCLASS?NAME=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_CUSTCLASS");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String khgjqy(String name) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/KH/V_CRM_COUNTRYZONE?NAME=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_COUNTRY");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String khshq(String name) {

        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/KH/V_CRM_REGION?NAME=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_REGION");
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    public static String bibie(String name) {
        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/KH/V_CRM_CURRTYPE?NAME=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_CURRTYPE");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String khyh(String name) {
        try {
            return HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/NCC/KH/V_CRM_BANKDOC?PKBANKDOC=" + URLEncoder.encode(name, "UTF-8")
                    , "JSON.data[0].PK_BANKTYPE");
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    public static void saveSendSYNData(JSONObject data) {
        System.out.println(data.toJSONString());
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/syn/save"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static void saveSendSYNDataSBBom(JSONObject data) {
        System.out.println(data.toJSONString());
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/syn/savesbbom"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static void updateSendSYUPDATENData(JSONObject data) {
        System.out.println(data.toJSONString());
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/syn/update"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static void updateSendSYUPDATENDataSbBom(JSONObject data) {
        System.out.println(data.toJSONString());
        try {
            String res = HttpSend.sendMagicPost(
                    "http://127.0.0.1:3002/syn/updatesbbom"
                    , data);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    public static JSONObject getSendSYNDataCRM(String type, String syn, String dataId) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/query?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&crmId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static JSONObject getSendSYNDataSBBom(String type, String syn, String dataId) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/querysbbom?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&crmId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }


    public static JSONObject getSendSYNDataCRM(String type, String syn, String dataId, String sendStatus3) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/query?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&crmId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                             + "&sendStatus3="+sendStatus3
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static JSONObject getSendSYNDataDSF(String type, String syn, String dataId) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/query?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&dsfId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static JSONObject getSendSYNDataDSF2(String type, String syn, String dataId) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/query2?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&dsfId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    public static JSONObject getSendUnit(String name) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/queryunit?name=" + URLEncoder.encode(name, "UTF-8")
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }


    public static JSONObject getSendSYNDataDSF(String type, String syn, String dataId, String sendStatus3) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/query?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&dsfId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                            + "&sendStatus3="+sendStatus3
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static JSONObject getSendSYNDataDSFBom(String type, String syn, String dataId, String sendStatus3) {

        try {
            String res = HttpSend.sendMagicGet(
                    "http://127.0.0.1:3002/syn/querysbbom?sendType=" + URLEncoder.encode(type, "UTF-8")
                            + "&crmId=" + URLEncoder.encode(dataId, "UTF-8")
                            + "&sendSyn=" + URLEncoder.encode(syn, "UTF-8")
                            + "&sendStatus3="+sendStatus3
                    , "");
            JSONObject resJson = JSONObject.parseObject(res);

            if (resJson.getJSONArray("data").size() > 0) {
                return resJson.getJSONArray("data").getJSONObject(0);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
